Skip to main content
POST
Start a product bulk action

Authorizations

Authorization
string
header
required

Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.

Headers

Idempotency-Key
string

Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.

Required string length: 1 - 128
Pattern: ^[!-~]+$

Body

application/json
product_ids
integer[]
required
Required array length: 1 - 1000 elements
Required range: x <= 9223372036854776000
action
enum<string>
required
Available options:
standardize-case,
trim-whitespace,
append-prepend,
find-replace,
find-and-replace,
enforce-dictionary,
remove-links,
assign-categories,
remove-categories,
replace-categories,
set-primary-category,
change-price,
special-price,
volume-discounts,
cost-margins,
update-stock,
stock-status,
update-weight,
set-dimensions,
shipping-settings,
set-attribute,
numeric-operations,
convert-numbers,
clear-attribute,
set-field,
convert-units,
change-uom,
recalculate-quality,
copy-field-values,
move-field-values,
change-visibility,
set-shop-sync,
change-status
action_config
Action Config · object

Response

Accepted

task_id
string
required
status
string
required
total_items
integer
required
estimated_credits
integer
required
deduplicated
boolean
default:false